package net.minecraft.util.profiling;

import java.io.File;
import java.util.Collections;
import java.util.List;

public class EmptyProfileResults implements ProfileResults {
    public static final EmptyProfileResults EMPTY;
    
    private EmptyProfileResults() {
    }
    
    @Override
    public List<ResultField> getTimes(final String string) {
        return Collections.<ResultField>emptyList();
    }
    
    @Override
    public boolean saveResults(final File file) {
        return false;
    }
    
    @Override
    public long getStartTimeNano() {
        return 0L;
    }
    
    @Override
    public int getStartTimeTicks() {
        return 0;
    }
    
    @Override
    public long getEndTimeNano() {
        return 0L;
    }
    
    @Override
    public int getEndTimeTicks() {
        return 0;
    }
    
    static {
        EMPTY = new EmptyProfileResults();
    }
}
